[workspace]
members = [".", "migration"]
resolver = "2"

[package]
name = "backend_rust"
version = "0.1.0"
edition = "2024"

[dependencies]
tokio = { version = "1.49.0", features = ["full"] }
actix-web = "4"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
chrono = { version = "0", features = ["serde"] }
sea-orm = { version = "2.0.0-rc", features = ["runtime-tokio-rustls", "sqlx-postgres", "macros", "with-chrono", "with-uuid", "with-json"] }
tracing = "0.1"
tracing-subscriber = "0.3"
anyhow = "1"
thiserror = "1"
bcrypt = "0.17"
jsonwebtoken = "9"
uuid = { version = "1", features = ["v4", "serde"] }
validator = { version = "0.20", features = ["derive"] }
actix-web-httpauth = "0.8"
rand = "0.9"
reqwest = { version = "0.12", features = ["json"] }
urlencoding = "2"
actix-cors = "0.7.1"
actix-files = "0.6"
actix-multipart = "0.7"
futures-util = "0.3"
sea-orm-migration = "2.0.0-rc"
migration = { path = "./migration" }